SDL_ConvertSurfaceAndColorspace(3)

NAME
SDL_ConvertSurfaceAndColorspace - Copy an existing surface to a new surface of the specified format and colorspace.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface * SDL_ConvertSurfaceAndColorspace(SDL_Surface *surface, SDL_PixelFormat format, SDL_Palette *palette, SDL_Colorspace colorspace, SDL_PropertiesID props);

DESCRIPTION
This function converts an existing surface to a new format and colorspace and returns the new surface. This will perform any pixel format and colorspace conversion needed.

If the original surface has alternate images, the new surface will have a reference to them as well.

FUNCTION PARAMETERS

surface
    the existing SDL_Surface
     structure to convert.

format
    the new pixel format.

palette
    an optional palette to use for indexed formats, may be NULL.

colorspace
    the new colorspace.

props
    an SDL_PropertiesID
     with additional color properties, or 0.

RETURN VALUE
( SDL_Surface
 *) Returns the new SDL_Surface

structure that is created or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ConvertSurface(3), •(3), SDL_DestroySurface(3)